﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace XamGridThemeTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            DataContext = this;
            Fill();
        }

        private void Fill()
        {
            TestObjects = new ObservableCollection<TestClass>();
            for (int i = 1; i <= 100; i++)
            {
                TestObjects.Add(new TestClass(i));
            }
            xamDataGrid1.DataSource = TestObjects;
            xamDataGrid2.DataSource = TestObjects;
            
            //Either line bleow causes the issue.
            xamDataGrid2.Theme = "Office2k7Silver";
            //xamDataGrid2.SetValue(XamDataGrid.ThemeProperty, "Office2k7Silver");
        }

        public ObservableCollection<TestClass> TestObjects;
    }
}
